## debirf 0.23

=== Makefile ===
#!/usr/bin/make -f

# Makefile for debirf

# (c) 2008 Jameson Graef Rollins <jrollins@finestructure.net>
# Licensed under GPL v3 or later

VERSION := `head -n1 debian/changelog | sed 's/.*(\([^-]*\)-.*/\1/'`

PREFIX ?= /usr
MANPREFIX ?= $(PREFIX)/share/man

PROF_DIR = doc/example-profiles

build:
	

tarball: clean
	rm -rf debirf-$(VERSION)
	mkdir -p debirf-$(VERSION)/doc/example-profiles
	ln -s ../../doc/README ../../doc/default-package-list debirf-$(VERSION)/doc
	(cd $(PROF_DIR) && tar c --exclude='*~' --exclude='*.svn*' minimal/) | gzip -n > debirf-$(VERSION)/doc/example-profiles/minimal.tgz
	(cd $(PROF_DIR) && tar c --exclude='*~' --exclude='*.svn*' rescue/) | gzip -n > debirf-$(VERSION)/doc/example-profiles/rescue.tgz
	(cd $(PROF_DIR) && tar c --exclude='*~' --exclude='*.svn*' xkiosk/) | gzip -n > debirf-$(VERSION)/doc/example-profiles/xkiosk.tgz
	ln -s ../COPYING ../Makefile ../man ../src debirf-$(VERSION)
	tar ch --exclude='*~' --exclude='*.svn*' debirf-$(VERSION) | gzip -n > debirf_$(VERSION).orig.tar.gz
	rm -rf debirf-$(VERSION)

debian-package: tarball
	tar xzf debirf_$(VERSION).orig.tar.gz
	tar c --exclude='*~' --exclude='*.svn*' debian | tar x -C debirf-$(VERSION)
	(cd debirf-$(VERSION) && debuild -us -uc)
	rm -rf debirf-$(VERSION)

install: installman
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/debirf/example-profiles
	mkdir -p $(DESTDIR)$(PREFIX)/share/debirf/modules
	install src/debirf $(DESTDIR)$(PREFIX)/bin
	install src/common $(DESTDIR)$(PREFIX)/share/debirf
	install --mode=644 src/devices.tar.gz $(DESTDIR)$(PREFIX)/share/debirf
	install src/modules/* $(DESTDIR)$(PREFIX)/share/debirf/modules
	install doc/README doc/default-package-list $(DESTDIR)$(PREFIX)/share/doc/debirf
	install doc/example-profiles/* $(DESTDIR)$(PREFIX)/share/doc/debirf/example-profiles

installman:
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	gzip -n man/*/*
	install man/man1/* $(DESTDIR)$(MANPREFIX)/man1
	gzip -d man/*/*

clean:
	rm -f debirf_*

.PHONY: build tarball debian-package install installman clean

## debirf 0.27

=== Makefile ===
--- 
+++ 
@@ -13,12 +13,12 @@
 PROF_DIR = doc/example-profiles
 
 build:
-	
+	true
 
 tarball: clean
 	rm -rf debirf-$(VERSION)
 	mkdir -p debirf-$(VERSION)/doc/example-profiles
-	ln -s ../../doc/README ../../doc/default-package-list debirf-$(VERSION)/doc
+	ln -s ../../doc/README debirf-$(VERSION)/doc
 	(cd $(PROF_DIR) && tar c --exclude='*~' --exclude='*.svn*' minimal/) | gzip -n > debirf-$(VERSION)/doc/example-profiles/minimal.tgz
 	(cd $(PROF_DIR) && tar c --exclude='*~' --exclude='*.svn*' rescue/) | gzip -n > debirf-$(VERSION)/doc/example-profiles/rescue.tgz
 	(cd $(PROF_DIR) && tar c --exclude='*~' --exclude='*.svn*' xkiosk/) | gzip -n > debirf-$(VERSION)/doc/example-profiles/xkiosk.tgz
@@ -40,7 +40,8 @@
 	install src/common $(DESTDIR)$(PREFIX)/share/debirf
 	install --mode=644 src/devices.tar.gz $(DESTDIR)$(PREFIX)/share/debirf
 	install src/modules/* $(DESTDIR)$(PREFIX)/share/debirf/modules
-	install doc/README doc/default-package-list $(DESTDIR)$(PREFIX)/share/doc/debirf
+	install --mode=644 src/grub2-terminal-chooser $(DESTDIR)$(PREFIX)/share/debirf
+	install doc/README $(DESTDIR)$(PREFIX)/share/doc/debirf
 	install doc/example-profiles/* $(DESTDIR)$(PREFIX)/share/doc/debirf/example-profiles
 
 installman:

## debirf 0.31

=== debian/changelog ===
debirf (0.31) unstable; urgency=low

  * update autobuilder to generate index and checksums and be explicit
    about what architecture it is building.
  * modules/rescue: select u-boot-tools preferentially if available in the
    requested distro.
  * modules/rescue: adding screen and bonnie++
  * modules/serial-terminal: automate selection of serial port and bit
    rate for getty based on kernel params.
  * fix pack_rootfs() (Closes: #620323)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 05 Apr 2011 23:08:59 -0400

debirf (0.30) unstable; urgency=low

  * Fix silly error in install-runit module (should fix xkiosk)
  * root-passwd module is now lock-root-passwd (avoids operator
    interaction)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 24 Mar 2011 00:08:11 -0400

debirf (0.29) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * Switch to native packaging.
  * mknod without absolute paths to work around #611156 (Closes: #618260)
  * added grub2 to the rescue image (Closes: #596708) (might need to
    change if the grub2 dummy package goes away)
  * relying on grub2's better implementation of terminal choosing (Closes:
    #606425)
  * do not add security repositories for sid/unstable (Closes: #619331)
  * use xorriso instead of genisoimage

  [ Jameson Rollins ]
  * clear TMPDIR when working in chroot
  * add scrub and wipe to rescue image

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Tue, 22 Mar 2011 19:11:36 -0700

debirf (0.28-1) UNRELEASED; urgency=low

  * New Upstream Release:
   - enable passing kernel architecture.  Thanks, Guido Günther!
     (Closes: #570778)
  * Bumped Standards-Version to 3.9.1 (no changes needed)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Fri, 05 Nov 2010 11:11:28 -0400

debirf (0.27-1) unstable; urgency=low

  * New Upstream Release:
    - grub-mkrescue has changed, and is now arch-indep. adjust makeiso to
      match.
    - fix buggy selection of kernel and initramfs during makeiso.
    - use DEBIRF_ISO_BOOTLOADER instead of DEBIRF_ELTORITO, making way for
      other possible bootloaders (yaboot?) for makeiso subcommand.
    - add security repositories for rescue and xkiosk
    - enable extra repos to allow karmic rescue to work (closes CMRG: #108)
    - don't require partimage for rescue image on ubuntu, since it is not
      available on amd64 there (see LP 198724)
  * Bumped Standards-Version to 3.8.4 (no changes needed)
  * included revision number in debian/copyright for DEP5 
  
 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 17 Feb 2010 01:39:34 -0500

debirf (0.26-1) unstable; urgency=low

  * add cpio to deboostrap INCLUDE

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Wed, 09 Dec 2009 12:16:20 -0500

debirf (0.25-1) unstable; urgency=low

  * use busybox cpio in nest now that's it's been fixed (closes CMRG: #54)
  * remove no longer needed install-udev module (udev installed by default)
  * improve grub menu configuration (Closes: #544409)
  * updated README, and makeiso checking (Closes: #554020)
  * ubuntu debirf installs now default to Karmic Koala.
  * redirect log out to stderr
  * use more generic kernel package name to find kernel name (LP: #474739)
  * formalize Debian copyright file

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sun, 29 Nov 2009 21:41:13 -0500

debirf (0.24-1) unstable; urgency=low

  * "absolutize" BUILDD path to get around bug in getcwd in fakechroot
    (#548691)
  * update makeiso to use grub-mkrescue from the grub2 grub-pc package.
    support for using isolinux from the syslinux-common package is also
    now included (Closes: #548712).
  * bumped standards version to 3.8.3 (no changes needed).
  * explicitly delete root passwd

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Wed, 30 Sep 2009 09:24:14 +0200

debirf (0.23-1) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * updated my e-mail address
  * added ntfsprogs, fatresize, tofrodos, dosfstools to the rescue module
    to help recover Windows filesystems with debirf.
  * added hfsprogs, hfsutils, hfsplus to the rescue module to help recover
    MacOS filesystems with debirf.
  * added e2undel, recover, e2tools, reiserfstools to the rescue module to
    help recover Linux filesystems with debirf.
  * added parted to rescue module for dealing with various kinds of
    partition tables.
  * fixed broken sed expression in nest library search (thanks, Guido Günther)
    (Closes: #509381)
  * bumped policy to 3.8.1 (no changes needed).
  
 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 16 Jun 2009 13:34:05 -0400

debirf (0.22-1) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * fixed nest on 64-bit architectures (Closes: #509381).

  [ Jameson Graef Rollins ]
  * add DEBIRF_ARCH variable to allow for specifying different
    architecture than default (thanks to Gary Kramlich for patch).
  * fix initramfs determination in makeiso (thanks again Gary Kramlich).

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sat, 20 Dec 2008 15:21:34 -0500

debirf (0.21-1) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * fixing makeiso image name generation
  * placing serial-console boot stanza in menu.lst for ISO
  * debian/control: swapped Maintainer and Uploader, updated my e-mail
    address.
  * xkiosk uses modern runit controls instead of explicitly symlinking
    servicedirs

  [ Jameson Graef Rollins ]
  * canonicalize paths in makeiso function
  * strip tailing slashes off of profile names to avoid weird problems
    with fakechroot when entering a debirf profile.
  * fix kernel arch determination.
  * change shebang line for all modules that call debirf_exec to
    /bin/bash, so they will work properly when /bin/sh is not /bin/bash.
    this also includes changes to enter subcommand to compensate (closes
    CMRG #99)  (Closes: #508041).
  * add -e to all module shebang lines as well, so all errors are properly
    caught.


=== debian/control ===
Source: debirf
Section: admin
Priority: extra
Maintainer: Jameson Graef Rollins <jrollins@finestructure.net>
Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: debhelper (>= 7.0)
Standards-Version: 3.9.1
Homepage: http://cmrg.fifthhorseman.net/wiki/debirf
Vcs-Git: git://finestructure.net/debirf
Dm-Upload-Allowed: yes

Package: debirf
Architecture: all
Depends:
 debootstrap,
 cpio,
 apt,
 fakeroot,
 fakechroot,
 busybox-static (>= 1.14.2) | busybox (>= 1.14.2),
 klibc-utils,
 ${misc:Depends}
Recommends:
 xorriso,
 grub-common (>= 1.98+20100804) | syslinux-common
Description: build a kernel and initrd to run Debian from RAM
 debirf (DEBian on Initial Ram Filesystem) is a set of tools designed
 to create and prepare a kernel and initial ram filesystem that can
 run a full-blown Debian environment entirely from RAM.
 .
 The kernel and initramfs pair created by debirf can be used for a
 myriad of purposes, from quick-and-easy system repair to diskless
 thin clients.  The kernel and initrd can be placed in your system
 boot partition, burnt to read-only media, or supplied by a netboot
 server.
 .
 The debirf tools use a module architecture which allows you to
 customize debirf for any possible purpose by specifying what
 components are included in the generated image.

## debirf 0.32

=== debian/changelog ===
debirf (0.32) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * make rootfs mode 0755 (Closes: #622808)
  * add several good packages for rescue module (Closes: #644576)
    Thanks, Matt Taggart!
  * updated debian/copyright to latest DEP5 spec
  * Standards-Version: 3.9.2 (no changes needed)

  [ Jameson Graef Rollins ]
  * remove dependency on busybox
  * fix builds for sid/sid and stable/stable (cross builds are still not
    working, unfortunately)
  * remove aptitude from image
  * other minor bug fixes

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sun, 27 Nov 2011 12:32:59 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jameson Graef Rollins <jrollins@finestructure.net>
 Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends: debhelper (>= 7.0)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://cmrg.fifthhorseman.net/wiki/debirf
 Vcs-Git: git://finestructure.net/debirf
 Dm-Upload-Allowed: yes
@@ -17,10 +17,10 @@
  apt,
  fakeroot,
  fakechroot,
- busybox-static (>= 1.14.2) | busybox (>= 1.14.2),
  klibc-utils,
  ${misc:Depends}
 Recommends:
+ lsb-release,
  xorriso,
  grub-common (>= 1.98+20100804) | syslinux-common
 Description: build a kernel and initrd to run Debian from RAM

## debirf 0.33

=== Makefile ===
#!/usr/bin/make -f

# Makefile for debirf

# (c) 2008-2011 Jameson Graef Rollins <jrollins@finestructure.net>
#               Daniel Kahn Gillmor <dkg@fifthhorseman.net>
# Licensed under GPL v3 or later

VERSION := `head -n1 debian/changelog | sed 's/.*(\([^-]*\).*/\1/'`

PREFIX ?= /usr
MANPREFIX ?= $(PREFIX)/share/man

PROFILES = doc/example-profiles/minimal.tgz doc/example-profiles/rescue.tgz doc/example-profiles/xkiosk.tgz

default: $(PROFILES)

doc/example-profiles/%.tgz: doc/example-profiles/%
	(cd doc/example-profiles && tar c --exclude='*~' $(notdir $<)) | gzip -9 -n > "$@"

install: installman profiles
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/debirf/example-profiles
	mkdir -p $(DESTDIR)$(PREFIX)/share/debirf/modules
	install src/debirf $(DESTDIR)$(PREFIX)/bin
	install src/common $(DESTDIR)$(PREFIX)/share/debirf
	install --mode=644 src/devices.tar.gz $(DESTDIR)$(PREFIX)/share/debirf
	install src/modules/* $(DESTDIR)$(PREFIX)/share/debirf/modules
	install doc/README $(DESTDIR)$(PREFIX)/share/doc/debirf
	install doc/autobuilder $(DESTDIR)$(PREFIX)/share/doc/debirf
	install doc/example-profiles/*.tgz $(DESTDIR)$(PREFIX)/share/doc/debirf/example-profiles

installman:
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	gzip -n man/*/*
	install man/man1/* $(DESTDIR)$(MANPREFIX)/man1
	gzip -d man/*/*

clean:
	rm -f $(PROFILES)

.PHONY: default install installman profiles clean

=== debian/changelog ===
debirf (0.33) unstable; urgency=low

  [ Jameson Rollins ]
  * fix comments about default suite in example config files.  Thanks,
    Simon Elsbrock!  (Closes: #656138)
  
  [ Matt Taggart ]
  * ddrescue was dropped in favor of gddrescue (Closes: #685138)
  
  [ Daniel Kahn Gillmor ]
  * removed scsitools from rescue module due to maintainer script breakage
    under fakechroot (see #686881)
  * work around flakey insserv under debootstrap --variant=fakechroot (see
    #686965)
  * the above two changes suffice to: (Closes: #655555)
  * debian/changelog: bumped Standards-Version to 3.9.3 (no changes needed)
  * only provisionally install smp-utils, since it was introduced in wheezy.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 07 Sep 2012 16:01:51 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jameson Graef Rollins <jrollins@finestructure.net>
 Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends: debhelper (>= 7.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://cmrg.fifthhorseman.net/wiki/debirf
 Vcs-Git: git://finestructure.net/debirf
 Dm-Upload-Allowed: yes

## debirf 0.34

=== Makefile ===
--- 
+++ 
@@ -11,11 +11,18 @@
 PREFIX ?= /usr
 MANPREFIX ?= $(PREFIX)/share/man
 
-PROFILES = doc/example-profiles/minimal.tgz doc/example-profiles/rescue.tgz doc/example-profiles/xkiosk.tgz
+PROFILES = minimal rescue xkiosk
 
-default: $(PROFILES)
+PROFILE_TARBALLS = $(foreach profile,$(PROFILES),doc/example-profiles/$(profile).tgz)
+PROFILE_MODULES = $(foreach profile,$(PROFILES),doc/example-profiles/$(profile)/modules)
 
-doc/example-profiles/%.tgz: doc/example-profiles/%
+default: $(PROFILE_TARBALLS)
+
+doc/example-profiles/%/modules: doc/example-profiles/%.modules
+	mkdir -p "$@"
+	for m in $(shell cat $<); do ln -s /usr/share/debirf/modules/$$m $@/; done
+
+doc/example-profiles/%.tgz: doc/example-profiles/% doc/example-profiles/%/modules
 	(cd doc/example-profiles && tar c --exclude='*~' $(notdir $<)) | gzip -9 -n > "$@"
 
 install: installman profiles
@@ -37,6 +44,7 @@
 	gzip -d man/*/*
 
 clean:
-	rm -f $(PROFILES)
+	rm -f $(PROFILE_TARBALLS)
+	rm -rf $(PROFILE_MODULES)
 
 .PHONY: default install installman profiles clean

=== debian/changelog ===
debirf (0.34) unstable; urgency=medium

  * Don't try to make device nodes within the chroot (Closes: #732322)
  * remove e2undel and recover from the rescue image, since they were both
    removed from debian.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 24 Jun 2014 16:07:32 -0400

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Maintainer: Jameson Graef Rollins <jrollins@finestructure.net>
 Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends: debhelper (>= 7.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://cmrg.fifthhorseman.net/wiki/debirf
 Vcs-Git: git://finestructure.net/debirf
-Dm-Upload-Allowed: yes
 
 Package: debirf
 Architecture: all

## debirf 0.35

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 # Licensed under GPL v3 or later
 
 VERSION := `head -n1 debian/changelog | sed 's/.*(\([^-]*\).*/\1/'`
+BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)
 
 PREFIX ?= /usr
 MANPREFIX ?= $(PREFIX)/share/man
@@ -23,7 +24,7 @@
 	for m in $(shell cat $<); do ln -s /usr/share/debirf/modules/$$m $@/; done
 
 doc/example-profiles/%.tgz: doc/example-profiles/% doc/example-profiles/%/modules
-	(cd doc/example-profiles && tar c --exclude='*~' $(notdir $<)) | gzip -9 -n > "$@"
+	(cd doc/example-profiles && tar c --mtime="$(BUILD_DATE)" --owner=0 --group=0 --numeric-owner --mode=u=rwX,go=rX --exclude='*~' $(notdir $<)) | gzip -9 -n > "$@"
 
 install: installman profiles
 	mkdir -p $(DESTDIR)$(PREFIX)/bin

=== debian/changelog ===
debirf (0.35) unstable; urgency=medium

  * reproducibility: make example profiles reproducible (thanks, Chris
    Lamb) (Closes: #777183)
  * use real ldconfig after building nest (Closes: #754457)
  * Bumped Standards-Version to 3.9.6 (no changes needed)
  * added new DEBIRF_EXTRA_PACKAGES variable to $profile/debirf.conf to
    get packages pulled in during debootstrap (lets us avoid some postinst
    scripts inserv failures during subsequent installs).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 09 Jul 2015 10:26:59 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jameson Graef Rollins <jrollins@finestructure.net>
 Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends: debhelper (>= 7.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://cmrg.fifthhorseman.net/wiki/debirf
 Vcs-Git: git://finestructure.net/debirf

## debirf 0.36

=== debian/changelog ===
debirf (0.36) unstable; urgency=medium

  * better systemd compatibility, prune obsolete modules
  * xkiosk profile no longer supported, purged
  * Better package include/exclude handling (Closes: #754470)
  * update install-kernel module for kmod (Closes: #815106)
  * fix cross-arch nests (Closes: #778752)
  * fix argument parsing for mutually exclusive write modes (Closes: #721094)
  * added diskscan to rescue (Closes: #803792)
  * ensure that isolinux CDs can actually boot (Closes: #773774)
  * bump standards-version to 3.9.8 (no changes needed)
  * move to dh 9
  * use standard debian/copyright syntax

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sun, 08 May 2016 18:51:56 -0700

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,25 @@
 Priority: extra
 Maintainer: Jameson Graef Rollins <jrollins@finestructure.net>
 Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Build-Depends: debhelper (>= 7.0)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.8
 Homepage: http://cmrg.fifthhorseman.net/wiki/debirf
-Vcs-Git: git://finestructure.net/debirf
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/debirf
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/debirf
 
 Package: debirf
 Architecture: all
-Depends:
- debootstrap,
- cpio,
- apt,
- fakeroot,
- fakechroot,
- klibc-utils,
- ${misc:Depends}
-Recommends:
- lsb-release,
- xorriso,
- grub-common (>= 1.98+20100804) | syslinux-common
+Depends: apt,
+         cpio,
+         debootstrap,
+         fakechroot,
+         fakeroot,
+         klibc-utils,
+         ${misc:Depends}
+Recommends: grub-common (>= 1.98+20100804) | isolinux,
+            lsb-release,
+            xorriso
+Suggests: syslinux-common
 Description: build a kernel and initrd to run Debian from RAM
  debirf (DEBian on Initial Ram Filesystem) is a set of tools designed
  to create and prepare a kernel and initial ram filesystem that can

## debirf 0.37

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 PREFIX ?= /usr
 MANPREFIX ?= $(PREFIX)/share/man
 
-PROFILES = minimal rescue xkiosk
+PROFILES = minimal rescue
 
 PROFILE_TARBALLS = $(foreach profile,$(PROFILES),doc/example-profiles/$(profile).tgz)
 PROFILE_MODULES = $(foreach profile,$(PROFILES),doc/example-profiles/$(profile)/modules)
@@ -32,8 +32,10 @@
 	mkdir -p $(DESTDIR)$(PREFIX)/share/debirf/modules
 	install src/debirf $(DESTDIR)$(PREFIX)/bin
 	install src/common $(DESTDIR)$(PREFIX)/share/debirf
+	install --mode=644 src/packages $(DESTDIR)$(PREFIX)/share/debirf
 	install --mode=644 src/devices.tar.gz $(DESTDIR)$(PREFIX)/share/debirf
 	install src/modules/* $(DESTDIR)$(PREFIX)/share/debirf/modules
+	echo $(VERSION) > $(DESTDIR)$(PREFIX)/share/debirf/version
 	install doc/README $(DESTDIR)$(PREFIX)/share/doc/debirf
 	install doc/autobuilder $(DESTDIR)$(PREFIX)/share/doc/debirf
 	install doc/example-profiles/*.tgz $(DESTDIR)$(PREFIX)/share/doc/debirf/example-profiles

=== debian/changelog ===
debirf (0.37) unstable; urgency=medium

  [ JH Chatenet ]
  * run fakeroot with bash (Closes: #850080)
  * a0_prep-root: run insserv if installed (Closes: #833125)

  [ Antoine Beaupré ]
  * avoid crash if CDPATH is set (Closes: #848693)

  [ Daniel Kahn Gillmor ]
  * enable rootfs xz compression (Closes: #813472)
  * Add more utilities to rescue profile (Closes: #834478)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 May 2017 12:10:07 -0400

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
          fakechroot,
          fakeroot,
          klibc-utils,
+         xz-utils,
          ${misc:Depends}
 Recommends: grub-common (>= 1.98+20100804) | isolinux,
             lsb-release,

## debirf 0.38

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	for m in $(shell cat $<); do ln -s /usr/share/debirf/modules/$$m $@/; done
 
 doc/example-profiles/%.tgz: doc/example-profiles/% doc/example-profiles/%/modules
-	(cd doc/example-profiles && tar c --mtime="$(BUILD_DATE)" --owner=0 --group=0 --numeric-owner --mode=u=rwX,go=rX --exclude='*~' $(notdir $<)) | gzip -9 -n > "$@"
+	(cd doc/example-profiles && tar c --sort=name --mtime="$(BUILD_DATE)" --owner=0 --group=0 --numeric-owner --mode=u=rwX,go=rX --exclude='*~' $(notdir $<)) | gzip -9 -n > "$@"
 
 install: installman profiles
 	mkdir -p $(DESTDIR)$(PREFIX)/bin

=== debian/changelog ===
debirf (0.38) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * added btrfs-progs to rescue profile

  [ Chris Lamb ]
  * Make build reproducible (Closes: #859302)

  [ Daniel Kahn Gillmor ]
  * re-added scsitools, since #686881 got fixed
  * added p7zip due (request from taggart)
  * wrap-and-sort -ast
  * standards-version: bump to 4.1.3 (moved to Priority: optional)
  * move to debhelper 11
  * move to salsa.debian.org
  * d/changelog: strip trailing whitespace
  * avoid using asterisk in NEWS
  * add an autopkgtest autobuilder
  * fix tar sort order

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 08 Jan 2018 18:43:42 -0500

=== debian/control ===
Source: debirf
Section: admin
Priority: optional
Maintainer: Jameson Graef Rollins <jrollins@finestructure.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 debhelper (>= 11~),
 tar (>= 1.28),
Standards-Version: 4.1.3
Homepage: http://cmrg.fifthhorseman.net/wiki/debirf
Vcs-Git: https://salsa.debian.org/debian/debirf.git
Vcs-Browser: https://salsa.debian.org/debian/debirf

Package: debirf
Architecture: all
Depends:
 apt,
 cpio,
 debootstrap,
 fakechroot,
 fakeroot,
 klibc-utils,
 xz-utils,
 ${misc:Depends},
Recommends:
 grub-common (>= 1.98+20100804) | isolinux,
 lsb-release,
 xorriso,
Suggests:
 syslinux-common,
Description: build a kernel and initrd to run Debian from RAM
 debirf (DEBian on Initial Ram Filesystem) is a set of tools designed
 to create and prepare a kernel and initial ram filesystem that can
 run a full-blown Debian environment entirely from RAM.
 .
 The kernel and initramfs pair created by debirf can be used for a
 myriad of purposes, from quick-and-easy system repair to diskless
 thin clients.  The kernel and initrd can be placed in your system
 boot partition, burnt to read-only media, or supplied by a netboot
 server.
 .
 The debirf tools use a module architecture which allows you to
 customize debirf for any possible purpose by specifying what
 components are included in the generated image.

=== debian/tests/control ===
Tests: autobuild
Depends: @, grub-common, lsb-release, xorriso, syslinux-common

## debirf 0.38+nmu1

=== debian/changelog ===
debirf (0.38+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:15:56 +0800
